{
  "name": "chromoskein",
  "version": "1.0.0",
  "type": "module",
  "main": "./dist/main.js",
  "typings": "./dist/index.d.ts",
  "repository": "https://github.com/chromoskein/chromoskein.git",
  "author": "Kiraa Corsac <kiraa@mail.muni.cz>",
  "license": "MIT",
  "scripts": {
    "serve": "webpack serve --hot --config webpack.development.mjs",
    "serve-production": "webpack serve --config webpack.production.mjs",
    "build": "webpack --config webpack.production.mjs"
  },
  "dependencies": {
    "@gmod/gff": "^1.1.2",
    "@types/chroma-js": "^2.1.3",
    "@types/ua-parser-js": "^0.7.36",
    "buffer": "^6.0.3",
    "chroma-js": "^2.4.2",
    "d3": "^7.2.1",
    "file-saver": "^2.0.5",
    "flexlayout-react": "^0.6",
    "gl-matrix": "^3.3.0",
    "graphology": "^0.23.2",
    "graphology-layout-forceatlas2": "^0.8.1",
    "graphology-types": "^0.23.0",
    "idb-keyval": "^6.0.3",
    "image-js": "^0.33.1",
    "immer": "^9.0.6",
    "lodash": "^4.17.21",
    "newtype-ts": "^0.3.5",
    "papaparse": "^5.3.1",
    "parse-pdb": "^1.0.0",
    "randomcolor": "^0.6.2",
    "react": "^17.0.2",
    "react-beautiful-dnd": "^13.1.0",
    "react-complex-tree": "^1.1.1",
    "react-dom": "^17.0.2",
    "react-fast-compare": "^3.2.0",
    "react-hot-keys": "^2.7.1",
    "react-redux": "^7.2.4",
    "react-sigma-v2": "^1.3.0",
    "react-tooltip": "^4.2.21",
    "react-use": "^17.3.1",
    "reaviz": "^13.1.8",
    "rooks": "^7",
    "sigma": "^2.2.0",
    "simple-statistics": "^7.7.0",
    "static-kdtree": "^1.0.2",
    "stream": "^0.0.2",
    "ua-parser-js": "^1.0.2",
    "use-deep-compare-effect": "^1.8.1",
    "uuid": "^9.0.0"
  },
  "devDependencies": {
    "@fluentui/react": "^8.30.3",
    "@fluentui/react-icons": "^1.1.145",
    "@fluentui/svg-icons": "^1.1.139",
    "@minoru/react-dnd-treeview": "^1.5.3",
    "@pmmmwh/react-refresh-webpack-plugin": "^0.5.1",
    "@react-hook/mouse-position": "^4.1.1",
    "@reduxjs/toolkit": "^1.6.1",
    "@thi.ng/color": "^3.2.7",
    "@types/d3": "^7.1.0",
    "@types/file-saver": "^2.0.4",
    "@types/lodash": "^4.14.172",
    "@types/papaparse": "^5.2.6",
    "@types/randomcolor": "^0.5.6",
    "@types/react": "^17.0.19",
    "@types/react-beautiful-dnd": "^13.1.2",
    "@types/react-dom": "^17.0.9",
    "@types/react-redux": "^7.1.18",
    "@types/resize-observer-browser": "^0.1.6",
    "@types/uuid": "^8.3.4",
    "@typescript-eslint/eslint-plugin": "^4.30.0",
    "@typescript-eslint/parser": "^4.30.0",
    "@webgpu/types": "^0.1.30",
    "css-loader": "^6.2.0",
    "eslint": "^7.32.0",
    "eslint-plugin-react": "^7.25.1",
    "eslint-plugin-react-hooks": "^4.3.0",
    "fork-ts-checker-webpack-plugin": "^6.4.0",
    "html-webpack-plugin": "^5.3.2",
    "react-refresh": "^0.10.0",
    "react-refresh-typescript": "^2.0.2",
    "sass": "^1.39.0",
    "sass-loader": "^12.1.0",
    "style-loader": "^3.2.1",
    "svg-inline-loader": "^0.8.2",
    "ts-loader": "^9.2.5",
    "type-fest": "^2.5.1",
    "typescript": "^4.4.2",
    "webpack": "^5.52.0",
    "webpack-cli": "^4.8.0",
    "webpack-dev-server": "^4.1.0",
    "webpack-merge": "^5.8.0"
  }
}
